/*****************************************************************
**		TLCS-900 C Compiler Header File			**
**--------------------------------------------------------------**
**	[File name]	{VEC.H}					        **
**	[Subject]	{Macro names for Vectors}		**
**	[For]		{TMP94FD53}				  	    **
**  Copyright(C) 2001 TOSHIBA CORPORATION All rights reserved	**
*****************************************************************/
/*****************************
   <<<	Request Vector	>>>
 *****************************/
#define	V_RESET		0x00	/* RESET */
#define	V_UNDEF		0x08	/* Undefined instruction */
#define	V_SWI0		0x00	/* SWI 0 */
#define	V_SWI1		0x04	/* SWI 1 */
#define	V_SWI2		0x08	/* SWI 2 */
#define	V_SWI3		0x0C	/* SWI 3 */
#define	V_SWI4		0x10	/* SWI 4 */
#define	V_SWI5		0x14	/* SWI 5 */
#define	V_SWI6		0x18	/* SWI 6 */
#define	V_SWI7		0x1C	/* SWI 7 */
#define	V_NMI		0x20	/* NMI */
#define	V_INTWD		0x24	/* INTWD */
#define	V_INT0		0x28	/* INT0 */
#define	V_INT1		0x2C	/* INT1 */
#define	V_INT2		0x30	/* INT2 */
#define	V_INT3		0x34	/* INT3 */
#define	V_INT4		0x38	/* INT4 */
#define	V_INT5		0x3C	/* INT5 */
#define	V_INT6		0x40	/* INT6 */
#define	V_INT7		0x44	/* INT7 */
#define	V_INTT0		0x48	/* INTT0 */
#define	V_INTT1		0x4C	/* INTT1 */
#define	V_INTT2		0x50	/* INTT2 */
#define	V_INTT3		0x54	/* INTT3 */
#define	V_INTT4		0x58	/* INTT4 */
#define	V_INTT5		0x5C	/* INTT5 */
#define	V_INTT6		0x60	/* INTT6 */
#define	V_INTT7		0x64	/* INTT7 */
#define	V_INTTR8	0x68	/* INTTR8 */
#define	V_INTTR9	0x6C	/* INTTR9 */
#define	V_INTTRA	0x70	/* INTTRA */
#define	V_INTTRB	0x74	/* INTTRB */
#define	V_INTTO8	0x78	/* INTTO8 */
#define	V_INTTOA	0x7C	/* INTTOA */
#define	V_INTRX0	0x80	/* INTRX0 */
#define	V_INTTX0	0x84	/* INTTX0 */
#define	V_INTRX1	0x88	/* INTRX1 */
#define	V_INTTX1	0x8C	/* INTTX1 */
#define	V_INTCR 	0x90	/* INTCR */
#define	V_INTCT 	0x94	/* INTCT */
#define	V_INTCG 	0x98	/* INTCG */
#define	V_INTSEM0	0x9C	/* INTSEM0 */
#define	V_INTSEE0	0xA0	/* INTSEE0 */
#define	V_INTSER0	0xA4	/* INTSER0 */
#define	V_INTSET0	0xA8	/* INTSET0 */
#define	V_INTSEM1	0xAC	/* INTSEM1 */
#define	V_INTSEE1	0xB0	/* INTSEE1 */
#define	V_INTSER1	0xB4	/* INTSER1 */
#define	V_INTSET1	0xB8	/* INTSET1 */
#define	V_INTSBE0	0xBC	/* INTSBE0 */
#define	V_INTSBS0	0xC0	/* INTSBS0 */
#define	V_INTSBE1	0xC4	/* INTSBE1 */
#define	V_INTSBS1	0xC8	/* INTSBS1 */
#define	V_INTAD		0xCC	/* INTAD */
#define	V_INTTC0	0xD0	/* INTTC0 */
#define	V_INTTC1	0xD4	/* INTTC1 */
#define	V_INTTC2	0xD8	/* INTTC2 */
#define	V_INTTC3	0xDC	/* INTTC3 */
#define	V_INTTC4	0xE0	/* INTTC4 */
#define	V_INTTC5	0xE4	/* INTTC5 */
#define	V_INTTC6	0xE8	/* INTTC6 */
#define	V_INTTC7	0xEC	/* INTTC7 */
/*-eof-*/
